package com.company.compliancetest.entity;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;

import javax.persistence.*;
import java.util.List;

@Table(name = "COMPLIANCETEST_COMPLIANCE")
@Entity(name = "compliancetest_Compliance")
public class Compliance extends StandardEntity {
    private static final long serialVersionUID = 4231479203600704623L;

    @Column(name = "COMPLIANCENAME")
    private String compliancename;

    @Composition
    @OnDelete(DeletePolicy.CASCADE)
    @OneToMany(mappedBy = "compliance")
    private List<ComplianceAction> complianceAction;

    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "CUSTOMER_ID")
    private Customer customer;

    public Customer getCustomer() {
        return customer;
    }

    public void setCustomer(Customer customer) {
        this.customer = customer;
    }

    public List<ComplianceAction> getComplianceAction() {
        return complianceAction;
    }

    public void setComplianceAction(List<ComplianceAction> complianceAction) {
        this.complianceAction = complianceAction;
    }

    public String getCompliancename() {
        return compliancename;
    }

    public void setCompliancename(String compliancename) {
        this.compliancename = compliancename;
    }
}